Subject: Re: bug#40544: Pulseaudio is not looking for user configuration

From: Ludovic Courtès <[email-masked]>
Date: Wed, 22 Apr 2020 22:00:37 +0200

Hi Diego,

Diego Nicola Barbato <[email-masked]> skribis:

> pkill9 <[email-masked]> writes:
>
>> Pulseaudio doesn't read my user configuration files according to strace.
>>
>> Attached is the output of `strace -o /tmp/log.log pulseaudio` - It only
>> looks for /etc/pulse/daemon.conf.
>
> That's a known [0] (but AFAIK undocumented) side effect of the
> PulseAudio service, which was added to %desktop-services in January [1].
> If you want PulseAudio to read your user configuration files you'll have
> to remove that service from your system services or unset PULSE_CONFIG
> and PULSE_CLIENT_CONFIG in ~/.profile [2].

It would be good to document that, right below
‘pulseaudio-service-type’.  Would you like to give it a try, Diego?

Or alternately, is there a way we can arrange so that the user’s config
takes precedence over /etc/pulse?

Thanks,
Ludo’.